Subject: Re: [bfcpbis] Updates to draft-ietf-bfcpbis-rfc4583bis required to enable ICE

From: Tom Kristensen <[email-masked]>
Date: Thu, 6 Apr 2017 16:58:42 +0200

A couple of questions before digging and digesting this into a proper text
proposal. Inline below, of course.

On 2 March 2017 at 23:14, Roman Shpount <[email-masked]> wrote:

> HI All,
>
> Here is the first draft of changes proposed for this document:
>
> 1. In Section 3, we need to define an additional proto field value:
> TCP/DTLS/BFCP, which is realized by running BFCP on top of DTLS as descibed
> in this specification and running DTLS on top of TCP is realized using the
> framing method defined in RFC4571, with DTLS packets being sent and
> received instead of RTP/RTCP packets using the shim defined in RFC4571 so
> that length field defined in RFC4571 precedes each DTLS message. All
> sections of the document should be updated to include the TCP/DTLS/BFCP
> transport.
>

This was questioned by Charles and I agree with the conclusion, backwards
and forward compliancy is good although confusing/differing "syntax".

> 2. References to RFC 5763 should be replaced with references to
> draft-ietf-mmusic-dtls-sdp. Document should be updated to use procedures
> from draft-ietf-mmusic-dtls-sdp including dtls-id.
>

Will include what is needed to use the draft procedures and dtls-id in text
and examples.

> 3. References to RFC 4572 should be replaced with references to
> draft-ietf-mmusic-4572-update. Document should be checked for compliance
> with 4572 update.
>

The id-nits checker made me aware of RFC 8122 obsoleting RFC 4572, I reckon
the additions necessary from the draft-ietf-mmusic-4572-update is covered
in the new RFC 8122 or not?

4. Section 10.5.is redundant with draft-ietf-mmusic-dtls-sdp.

OK. Will chop.

> 5. We should not be using SHA-1 fingerprints in examples, since they are
> deprecated
>

Will polish examples.

6. The following section should be added which describes ICE support:

Text will be copied verbatim!

> ICE Considerations
> <...>

-- Tom

-- 
# http://folk.uio.no/tomkri/ | +47 9516 1107 (m)
## http://facebook.com/tomkri/ | xmpp:[email-masked]
### "Å leve er å ta stilling. Jeg hater likegyldige mennesker.", A. Gramsci

---

From: Roman Shpount <[email-masked]>
Date: Thu, 6 Apr 2017 14:16:38 -0400

> and forward compliancy is good although confusing/differing "syntax".

I am not sure if this means you want to change this somehow or that you are
going to update the draft with TCP/DTLS/BFCP. I agree that the syntax is
not ideal but it is in line with other documents such as dtls-sdp or
sctp-sdp.

> in the new RFC 8122 or not?

draft-ietf-mmusic-4572-update is now published as RFC 8122, so references
to RFC 4572 should be updated to RFC 8122

The rest sounds good.

When you publish the updated version I will review and provide comments. I
will also sync comments which were made against the ICE Considerations
section of sctp-sdp with your draft.

Regards,
_____________
Roman Shpount

---

From: "Charles Eckel (eckelcu)" <[email-masked]>
Date: Thu, 6 Apr 2017 19:26:41 +0000

Please see inline with [cue].

From: Roman Shpount <[email-masked]>
Date: Thursday, April 6, 2017 at 11:16 AM
To: Tom Kristensen <[email-masked]>
Cc: Charles Eckel <[email-masked]>, Tom Kristensen <[email-masked]>, Tom Kristensen <[email-masked]>, "[email-masked]" <[email-masked]>, Gonzalo Camarillo <[email-masked]>, Paul Jones <[email-masked]>, Christer Holmberg <[email-masked]>, Mary Barnes <[email-masked]>
Subject: Re: [bfcpbis] Updates to draft-ietf-bfcpbis-rfc4583bis required to enable ICE

On Thu, Apr 6, 2017 at 10:58 AM, Tom Kristensen <[email-masked]<mailto:[email-masked]>> wrote:
On 2 March 2017 at 23:14, Roman Shpount <[email-masked]<mailto:[email-masked]>> wrote:
1. In Section 3, we need to define an additional proto field value: TCP/DTLS/BFCP, which is realized by running BFCP on top of DTLS as descibed in this specification and running DTLS on top of TCP is realized using the framing method defined in RFC4571, with DTLS packets being sent and received instead of RTP/RTCP packets using the shim defined in RFC4571 so that length field defined in RFC4571 precedes each DTLS message. All sections of the document should be updated to include the TCP/DTLS/BFCP transport.

This was questioned by Charles and I agree with the conclusion, backwards and forward compliancy is good although confusing/differing "syntax".

I am not sure if this means you want to change this somehow or that you are going to update the draft with TCP/DTLS/BFCP. I agree that the syntax is not ideal but it is in line with other documents such as dtls-sdp or sctp-sdp.

[cue] I believe this was meant to express agreement with the consensus that while not perfect, adding TCP/DTLS/BFCP to the draft is the best of the alternatives explored.

Cheers,
Charles

The id-nits checker made me aware of RFC 8122 obsoleting RFC 4572, I reckon the additions necessary from the draft-ietf-mmusic-4572-update is covered in the new RFC 8122 or not?

draft-ietf-mmusic-4572-update is now published as RFC 8122, so references to RFC 4572 should be updated to RFC 8122

The rest sounds good.

When you publish the updated version I will review and provide comments. I will also sync comments which were made against the ICE Considerations section of sctp-sdp with your draft.

Regards,
_____________
Roman Shpount